Cantera 2.6.0

Classes | Namespaces | Functions
xml.cpp File Reference

Classes providing support for XML data files. More...

`#include "cantera/base/xml.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/global.h"`
`#include "cantera/base/utilities.h"`
`#include "cantera/base/ctexceptions.h"`
`#include <sstream>`
`#include <fstream>`
Include dependency graph for xml.cpp:

Go to the source code of this file.

## Classes
class | XML_Error
| Class representing a generic XML error condition. More...
class | XML_TagMismatch
| Class representing a specific type of XML file formatting error. More...
class | XML_NoChild
| Class representing a specific type of XML file formatting error. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static string::size_type | findUnbackslashed (const std::string &s, const char q, std::string::size_type istart=0)
| Find the first position of a character, q, in string, s, which is not immediately preceded by the backslash character. More...
XML_Node * | findXMLPhase (XML_Node *root, const std::string &phaseId)
| Search an XML_Node tree for a named phase XML_Node. More...

## Detailed Description

Classes providing support for XML data files.

These classes implement only those aspects of XML required to read, write, and manipulate CTML data files.

Definition in file xml.cpp.